## org.omg.CORBA
Class RepositoryHelper

    java.lang.Object
      |
      +--org.omg.CORBA.RepositoryHelper

public class RepositoryHelper
extends java.lang.Object

Helper class for : Repository

Author:
  OpenORB Compiler

Constructor Summary
`RepositoryHelper()`

Method Summary
`static Repository` `extract(Any a)` Extract Repository from an any
`static java.lang.String` `id()` Return the Repository IDL ID
`static void` `insert(Any a, Repository t)` Insert Repository into an any
`static Repository` `narrow(Object obj)` Narrow CORBA::Object to Repository
`static Repository` `read(InputStream istream)` Read Repository from a marshalled stream
`static TypeCode` `type()` Return the Repository TypeCode
`static Repository` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to Repository
`static void` `write(OutputStream ostream, Repository value)` Write Repository into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryHelper

    public RepositoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Repository t)

  Insert Repository into an any
  Parameters:
    `a` - an any
    `t` - Repository value

### extract

    public static Repository extract(Any a)

  Extract Repository from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Repository value

### type

    public static TypeCode type()

  Return the Repository TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Repository IDL ID
  Returns:
    an ID

### read

    public static Repository read(InputStream istream)

  Read Repository from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Repository value

### write

    public static void write(OutputStream ostream,
                             Repository value)

  Write Repository into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Repository value

### narrow

    public static Repository narrow(Object obj)

  Narrow CORBA::Object to Repository
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Repository Object

### unchecked_narrow

    public static Repository unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to Repository
  Parameters:
    `obj` - the CORBA Object
  Returns:
    Repository Object